import request from '@/utils/request'

// 查询中奖记录列表
export function listPrizeWinningRecord(query) {
  return request({
    url: '/cai/prizeWinningRecord/list',
    method: 'get',
    params: query
  })
}

// 查询中奖记录详细
export function getPrizeWinningRecord(id) {
  return request({
    url: '/cai/prizeWinningRecord/' + id,
    method: 'get'
  })
}

// 修改中奖记录
export function givePrizeWinningRecord(data) {
  return request({
    url: '/cai/prizeWinningRecord/give',
    method: 'post',
    data: data
  })
}

// 删除中奖记录
export function delPrizeWinningRecord(id) {
  return request({
    url: '/cai/prizeWinningRecord/' + id,
    method: 'delete'
  })
}
